Debian Bug report logs - #585783
update-notifier-kde: missing plural message

version graph

Package: update-notifier-kde; Maintainer for update-notifier-kde is Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>; Source for update-notifier-kde is src:kingston-update-notifier.

Reported by: Török Edwin <edwintorok@gmail.com>

Date: Sun, 13 Jun 2010 20:15:02 UTC

Severity: minor

Tags: l10n

Found in version kingston-update-notifier/1.0

Fixed in version kingston-update-notifier/1.1

Done: Sune Vuorela <sune@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sune Vuorela <sune@debian.org>:
Bug#585783; Package update-notifier-kde. (Sun, 13 Jun 2010 20:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Török Edwin <edwintorok@gmail.com>:
New Bug report received and forwarded. Copy sent to Sune Vuorela <sune@debian.org>. (Sun, 13 Jun 2010 20:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Török Edwin <edwintorok@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: update-notifier-kde: missing plural message
Date: Sun, 13 Jun 2010 23:13:37 +0300
Package: update-notifier-kde
Version: 1.0
Severity: minor
Tags: l10n

update-notifier-kde says:
"It is recommended to update your system
There is 8 updates available"

Looks like update-notifier-kde is missing a plural message, it should say
"There are 8 updates available".

The update-notifier-common package appears to contain proper plural messages,
update-notifier-kde doesn't.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.34-00179-gdebb980 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages update-notifier-kde depends on:
ii  libc6                      2.11.1-3      Embedded GNU C Library: Shared lib
ii  libgcc1                    1:4.5.0-4     GCC support library
ii  libkdecore5                4:4.4.4-1     the KDE Platform Core Library
ii  libkdeui5                  4:4.4.4-1     the KDE Platform User Interface Li
ii  libkio5                    4:4.4.4-1     the Network-enabled File Managemen
ii  libqt4-dbus                4:4.6.3-1     Qt 4 D-Bus module
ii  libqt4-network             4:4.6.3-1     Qt 4 network module
ii  libqt4-svg                 4:4.6.3-1     Qt 4 SVG module
ii  libqt4-xml                 4:4.6.3-1     Qt 4 XML module
ii  libqtcore4                 4:4.6.3-1     Qt 4 core module
ii  libqtgui4                  4:4.6.3-1     Qt 4 GUI module
ii  libstdc++6                 4.5.0-4       The GNU Standard C++ Library v3
ii  update-notifier-common     0.99.3debian4 Files shared between update-notifi

update-notifier-kde recommends no packages.

update-notifier-kde suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Sune Vuorela <sune@debian.org>:
Bug#585783; Package update-notifier-kde. (Sun, 27 Jun 2010 10:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Sune Vuorela <sune@debian.org>. (Sun, 27 Jun 2010 10:15:05 GMT) Full text and rfc822 format available.

Message #10 received at 585783@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 585783@bugs.debian.org
Cc: control@bugs.debian.org
Subject: patch for 585783
Date: Sun, 27 Jun 2010 12:13:05 +0200
[Message part 1 (text/plain, inline)]
tag 585783 patch
thanks

Hi,

Attached patch addresses this bug.


Thijs
[585783.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 10:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sune Vuorela <sune@debian.org>:
Bug#585783; Package update-notifier-kde. (Sun, 27 Jun 2010 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <Sune@vuorela.dk>:
Extra info received and forwarded to list. Copy sent to Sune Vuorela <sune@debian.org>. (Sun, 27 Jun 2010 18:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 585783@bugs.debian.org (full text, mbox):

From: Sune Vuorela <Sune@vuorela.dk>
To: Thijs Kinkhorst <thijs@debian.org>, 585783@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#585783: patch for 585783
Date: Sun, 27 Jun 2010 20:22:52 +0200
tag 585783 -patch +pending
thanks

On Sunday 27 June 2010 12:13:05 Thijs Kinkhorst wrote:
> tag 585783 patch
> thanks
> 

Thanks for your patch. THis is already fixed in git with
http://git.debian.org/?p=pkg-
kde/kingston.git;a=commit;h=ec17f4f8c1df2a5e12a99bc5c72eb5a89c47657e in a bit 
more elegant way.

I'm sorry for not tagging the bug pending.

/Sune
-- 
How to rename a OpenGL system from Flash 93?

First you should never install the mousepad to load the 8-inch desktop.




Removed tag(s) patch. Request was from Sune Vuorela <Sune@vuorela.dk> to control@bugs.debian.org. (Sun, 27 Jun 2010 18:27:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Sune Vuorela <Sune@vuorela.dk> to control@bugs.debian.org. (Sun, 27 Jun 2010 18:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sune Vuorela <sune@debian.org>:
Bug#585783; Package update-notifier-kde. (Fri, 09 Jul 2010 21:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Wootton <tim@tee-jay.demon.co.uk>:
Extra info received and forwarded to list. Copy sent to Sune Vuorela <sune@debian.org>. (Fri, 09 Jul 2010 21:21:03 GMT) Full text and rfc822 format available.

Message #26 received at 585783@bugs.debian.org (full text, mbox):

From: Tim Wootton <tim@tee-jay.demon.co.uk>
To: 585783@bugs.debian.org
Subject: Re:update-notifier-kde: missing plural message
Date: Fri, 09 Jul 2010 22:14:43 +0100
> Package: update-notifier-kde
> Version: 1.0
> Severity: minor
> Tags: l10n

> update-notifier-kde says:
> "It is recommended to update your system
> There is 8 updates available"

I know it's not particularly important, but while you're dealing with
this you might also want to consider replacing "It is recommended to
update your system" with "It is recommended that you update your system"
which would be the more usual usage.

keep up the good work,

Tim





Reply sent to Sune Vuorela <sune@debian.org>:
You have taken responsibility. (Fri, 16 Jul 2010 22:21:14 GMT) Full text and rfc822 format available.

Notification sent to Török Edwin <edwintorok@gmail.com>:
Bug acknowledged by developer. (Fri, 16 Jul 2010 22:21:14 GMT) Full text and rfc822 format available.

Message #31 received at 585783-close@bugs.debian.org (full text, mbox):

From: Sune Vuorela <sune@debian.org>
To: 585783-close@bugs.debian.org
Subject: Bug#585783: fixed in kingston-update-notifier 1.1
Date: Fri, 16 Jul 2010 22:17:18 +0000
Source: kingston-update-notifier
Source-Version: 1.1

We believe that the bug you reported is fixed in the latest version of
kingston-update-notifier, which is due to be installed in the Debian FTP archive:

kingston-update-notifier_1.1.dsc
  to main/k/kingston-update-notifier/kingston-update-notifier_1.1.dsc
kingston-update-notifier_1.1.tar.gz
  to main/k/kingston-update-notifier/kingston-update-notifier_1.1.tar.gz
update-notifier-kde_1.1_amd64.deb
  to main/k/kingston-update-notifier/update-notifier-kde_1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 585783@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sune Vuorela <sune@debian.org> (supplier of updated kingston-update-notifier package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 16 Jul 2010 23:45:30 +0200
Source: kingston-update-notifier
Binary: update-notifier-kde
Architecture: source amd64
Version: 1.1
Distribution: unstable
Urgency: low
Maintainer: Sune Vuorela <sune@debian.org>
Changed-By: Sune Vuorela <sune@debian.org>
Description: 
 update-notifier-kde - Update notifier for the KDE Plasma Desktop
Closes: 584315 585783
Changes: 
 kingston-update-notifier (1.1) unstable; urgency=low
 .
   * Improve messages, mostly by Pino Toscano.
     Includes proper plural messages.
     (Closes: #585783)
   * Fix handling of notifications to not keep adding more, and to kill old
     ones (Closes: #584315)
   * Add a README telling about update notifier kde. Thanks to Michael
     Schuerig.
Checksums-Sha1: 
 fd90a30d3ead723cec405596f32f779873e357aa 789 kingston-update-notifier_1.1.dsc
 eca2a14f2a7a5c0474f1d12247d5a69008fd832c 7911 kingston-update-notifier_1.1.tar.gz
 ead0d30f7c1d6a821b5271f090bf27e7f13fc9ca 16188 update-notifier-kde_1.1_amd64.deb
Checksums-Sha256: 
 4784d791be2b79f6d3139d9ce84bbf93ffff314133fab871ce3f96c2bf140d61 789 kingston-update-notifier_1.1.dsc
 30a221fab9b573a04482330689319597b8a8525ecd51de5b98df259406a030ee 7911 kingston-update-notifier_1.1.tar.gz
 4cbacb58efaffe18ccfddf14b587bb82a9bcc7459f474e7c23ef46c8a6f4bc6c 16188 update-notifier-kde_1.1_amd64.deb
Files: 
 a6949cacf2d5b89f3f72f060882cebfe 789 kde optional kingston-update-notifier_1.1.dsc
 4941e80dcbe9f13c260dab29d2647f4e 7911 kde optional kingston-update-notifier_1.1.tar.gz
 cbc24d5889ceb59dfa6330d267902e54 16188 kde optional update-notifier-kde_1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxA1w4ACgkQnMvaFgH6i0qH1ACfdKxjaDk4Vn7R9WAUAwbm5O0x
BGMAoIo3Y5KWVAmUbCrGZyyZwjC60Aw8
=lJC8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Aug 2010 07:34:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:45:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.